package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.jz.JzShop;

import java.util.List;

public interface JzShopMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(JzShop record);

    int insertSelective(JzShop record);

    JzShop selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(JzShop record);

    int updateByPrimaryKey(JzShop record);
    
    int beatchInsert(List<JzShop> list);
    
    int updateCloseShop();

    JzShop selectByShopName(String shopName);

    JzShop selectByShopNo(String shopNo);
}